
/******************************************************************************
** This file is part of profile-qt
**
** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
** All rights reserved.
**
** Contact: Sakari Poussa <sakari.poussa@nokia.com>
**
** Redistribution and use in source and binary forms, with or without
** modification, are permitted provided that the following conditions are met:
**
** Redistributions of source code must retain the above copyright notice,
** this list of conditions and the following disclaimer. Redistributions in
** binary form must reproduce the above copyright notice, this list of
** conditions and the following disclaimer in the documentation  and/or
** other materials provided with the distribution.
**
** Neither the name of Nokia Corporation nor the names of its contributors
** may be used to endorse or promote products derived from this software 
** without specific prior written permission.
**
** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
** AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
** THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
** PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
** CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
** EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
** PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
** OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
** WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
** OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
** ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
******************************************************************************/


#ifndef PROFILED_KEYS_NOKIA_H_
#define PROFILED_KEYS_NOKIA_H_

#define PROFILEKEY_RINGING_ALERT_TONE      "ringing.alert.tone"      /* Ringing tone */
#define PROFILEKEY_RINGING_ALERT_TYPE      "ringing.alert.type"      /* Ringing type */
#define PROFILEKEY_RINGING_ALERT_VOLUME    "ringing.alert.volume"    /* Ringing volume */
#define PROFILEKEY_VIBRATING_ALERT_ENABLED "vibrating.alert.enabled" /* Vibrating alert */
#define PROFILEKEY_EMAIL_ALERT_TONE        "email.alert.tone"        /* Message alert tone for Email */
#define PROFILEKEY_EMAIL_ALERT_VOLUME      "email.alert.volume"      /* Email alert volume */
#define PROFILEKEY_IM_ALERT_TONE           "im.alert.tone"           /* Message alert tone for Instant messaging */
#define PROFILEKEY_IM_ALERT_VOLUME         "im.alert.volume"         /* Instant messaging alert volume */
#define PROFILEKEY_SMS_ALERT_TONE          "sms.alert.tone"          /* Message alert tone for SMS */
#define PROFILEKEY_SMS_ALERT_VOLUME        "sms.alert.volume"        /* SMS message alert volume */
#define PROFILEKEY_KEYPAD_SOUND_LEVEL      "keypad.sound.level"      /* Key sounds */
#define PROFILEKEY_SYSTEM_SOUND_LEVEL      "system.sound.level"      /* System sounds */
#define PROFILEKEY_TOUCHSCREEN_SOUND_LEVEL "touchscreen.sound.level" /* Touch screen sounds */
#define PROFILEKEY_CLOCK_ALARM_ENABLED     "clock.alarm.enabled"     /* Clock alarm */
#define PROFILEKEY_CALENDAR_ALARM_ENABLED  "calendar.alarm.enabled"  /* Calendar alarm */

#endif /* PROFILED_KEYS_NOKIA_H_ */
